

apiVersion: traefik.containo.us/v1alpha1
kind: IngressRoute
metadata:
  name: ingress-routes-ok-{{ .Release.Name }}
  namespace: {{ .Release.Namespace }}
spec:
  entryPoints:
    - websecure
  routes:
##### CBD
    - match: Host(`{{ .Values.branchSubdomain }}cbd.{{ .Values.rootEnvironment }}.{{ .Values.ingressDomain }}`)
      kind: Rule
      middlewares:
      {{- if $.Values.traefikForwardAuthEnabled }}
        - name: traefik-traefik-forward-auth-{{ .Values.rootEnvironment }}@kubernetescrd
      {{- end }}
      services:
        - name: contact-fe-service
          port: 80
  tls:
    certResolver: ourcertresolver